Page MenuHomePhabricator

[Regression pre-.2] Inserting a reference sometimes breaks horribly (due to trees in TransactionProcessor?)
Closed, ResolvedPublic8 Estimated Story Points

Event Timeline

Restricted Application added subscribers: Jay8g, TerraCodes, Aklapper. · View Herald TranscriptMay 21 2017, 11:14 AM

At some point in the next 24 hours we'll need to either revert the world if we've not fixed it. :-(

Change 354966 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[VisualEditor/VisualEditor@master] Revert "TransactionProcessor: modify DM tree branches instead of rebuilding them"

https://gerrit.wikimedia.org/r/354966

Change 354966 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] Revert "TransactionProcessor: modify DM tree branches instead of rebuilding them"

https://gerrit.wikimedia.org/r/354966

Change 355098 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (0c243838f)

https://gerrit.wikimedia.org/r/355098

Change 355098 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (0c243838f)

https://gerrit.wikimedia.org/r/355098

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMay 22 2017, 12:19 PM

Change 357171 had a related patch set uploaded (by Divec; owner: Divec):
[VisualEditor/VisualEditor@master] TransactionProcessor: modify DM tree branches instead of rebuilding them

https://gerrit.wikimedia.org/r/357171

Deskana reopened this task as Open.Jun 5 2017, 7:43 AM
Deskana added a subscriber: Deskana.

Reopening until the revert is reverted. :-)

Deskana closed this task as Resolved.Jun 5 2017, 2:40 PM

The fact the original patch was reverted apparently doesn't seriously affect anything, so it's better to break that out into a separate task.